Subject: Re: [bug-diffutils] bug#21715: bug#21715: feat req: an option to skip directory inode comparison
From: Jim Meyering <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: Aaron Davies <[email-masked]>, [email-masked]
Date: Mon, 16 May 2016 12:28:18 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, May 15, 2016 at 11:13 PM, Paul Eggert <[email-masked]> wrote:
> Jim Meyering wrote:
>> Thanks for the suggestion, but what NetApp software are you using?
>> I've just tried to reproduce that on a NetApp-backed nfs-mounted directory,
>> and see different inode numbers for the directories:
>>
>>   $ stat --format %i foo .snapshot/hourly.2016-05-15_*/foo
>>   97582543
>>   97557711
>
> I can reproduce the problem on my platform: a RHEL 7 client
> (3.10.0-327.10.1.el7.x86_64 kernel), with a NetApp server running a fairly old
> release. The last time I asked (in 2010), they were running netapp-6.5.6 on the
> file server.
>
> As far as I know, only NetApp has the inode-number bug. It's had the bug for
> many years, and I'm a bit surprised to see that they fixed it in a recent release.

I confess I was surprised, too, after so many years.
Running `version` on the server my client used prints this:

  NetApp Release 8.3.1P2: Wed Dec 09 03:10:24 UTC 2015

As such, it feels ok to close this.